commit:     2877b5e0124049955860ab2741d38a42b59ddf78
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  4 10:22:00 2018 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Tue Dec  4 10:24:18 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2877b5e0

app-emulation/cri-o: version bump to 1.10.6

Reported-by: Manuel RĂ¼ger <mrueg <AT> gentoo.org>
Closes: https://bugs.gentoo.org/668422
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-emulation/cri-o/Manifest            |   1 +
 app-emulation/cri-o/cri-o-1.10.6.ebuild | 105 ++++++++++++++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/app-emulation/cri-o/Manifest b/app-emulation/cri-o/Manifest
index 326f71beaf2..144949df2fb 100644
--- a/app-emulation/cri-o/Manifest
+++ b/app-emulation/cri-o/Manifest
@@ -1 +1,2 @@
 DIST cri-o-1.10.1.tar.gz 5159128 BLAKE2B 
bd6727bedb1f1ca99771995817897721b340331a28dc00646fe6b13765328bbba363aeba4490c12c8d38f9e204e6c744c38f43b4fbbd39d2b44c95be0681475b
 SHA512 
dc85a94cf980ba11a2213e7cec73eeb78460a6a14c50f02f8772ac0d0fe179374d88de01c72f24506a9f1a61db6bf6738114c8944631f76906f6e42f9cf35bde
+DIST cri-o-1.10.6.tar.gz 5161858 BLAKE2B 
bbfaf60c92dee3a9f42e9d4fc9b5482057a7a0ff2de36d74d434e2e60b53f92f70980c83825c18089c4a48bfa01c164b77aa01506c68c763f00265796e07d367
 SHA512 
b6a412cf5859dab79095732c2528e2ba373b3c21740203441fd3646862e2458e78e71f1895a5def05207964ef96a354c04395356e426600994bb39d3adfd0894

diff --git a/app-emulation/cri-o/cri-o-1.10.6.ebuild 
b/app-emulation/cri-o/cri-o-1.10.6.ebuild
new file mode 100644
index 00000000000..6d2d5d4a82c
--- /dev/null
+++ b/app-emulation/cri-o/cri-o-1.10.6.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGIT_COMMIT="56d7d9a0750d7deb06182361837b690683f13dfe"
+EGO_PN="github.com/kubernetes-incubator/${PN}"
+
+inherit golang-vcs-snapshot systemd
+
+DESCRIPTION="OCI-based implementation of Kubernetes Container Runtime 
Interface"
+HOMEPAGE="http://cri-o.io/";
+SRC_URI="https://github.com/kubernetes-incubator/${PN}/archive/v${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="btrfs +device-mapper ostree seccomp selinux"
+
+COMMON_DEPEND="
+       app-crypt/gpgme:=
+       app-emulation/runc
+       dev-libs/glib:=
+       dev-libs/libassuan:=
+       dev-libs/libgpg-error:=
+       net-firewall/conntrack-tools
+       net-firewall/iptables
+       net-misc/cni-plugins
+       net-misc/socat
+       sys-apps/iproute2
+       btrfs? ( sys-fs/btrfs-progs )
+       device-mapper? ( sys-fs/lvm2:= )
+       ostree? ( dev-util/ostree )
+       seccomp? ( sys-libs/libseccomp:= )
+       selinux? ( sys-libs/libselinux:= )"
+DEPEND="
+       ${COMMON_DEPEND}
+       dev-go/go-md2man"
+RDEPEND="${COMMON_DEPEND}"
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+src_prepare() {
+       default
+
+       sed -e '/^GIT_.*/d' \
+               -e 's/$(GO) build/$(GO) build -v -work -x/' \
+               -e 's/\${GIT_COMMIT}/'${EGIT_COMMIT}'/' \
+               -i Makefile || die
+
+       sed -e 's:/usr/local/bin:/usr/bin:' \
+               -i contrib/systemd/* || die
+}
+
+src_compile() {
+       [[ -f hack/btrfs_installed_tag.sh ]] || die
+       use btrfs || { echo -e "#!/bin/sh\necho exclude_graphdriver_btrfs" > \
+               hack/btrfs_installed_tag.sh || die; }
+
+       [[ -f hack/libdm_installed.sh ]] || die
+       use device-mapper || { echo -e "#!/bin/sh\necho 
exclude_graphdriver_devicemapper" > \
+               hack/libdm_installed.sh || die; }
+
+       [[ -f hack/ostree_tag.sh ]] || die
+       use ostree || { echo -e "#!/bin/sh\necho containers_image_ostree_stub" 
> \
+               hack/ostree_tag.sh || die; }
+
+       [[ -f hack/seccomp_tag.sh ]] || die
+       use seccomp || { echo -e "#!/bin/sh\ntrue" > \
+               hack/seccomp_tag.sh || die; }
+
+       [[ -f hack/selinux_tag.sh ]] || die
+       use selinux || { echo -e "#!/bin/sh\ntrue" > \
+               hack/selinux_tag.sh || die; }
+
+       mkdir -p bin || die
+       GOPATH="${WORKDIR}/${P}" GOBIN="${WORKDIR}/${P}/bin" \
+               emake binaries docs
+}
+
+src_install() {
+       emake DESTDIR="${D}" PREFIX="${D}${EPREFIX}/usr" install.bin install.man
+
+       keepdir /etc/crio
+       insinto /etc/crio
+       use seccomp && doins seccomp.json
+
+       "${ED}"/usr/bin/crio --config="" config --default > 
"${T}"/crio.conf.example || die
+       doins   "${T}/crio.conf.example"
+
+       newinitd "${FILESDIR}/crio.initd" crio
+
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}/${PN}.logrotated" "${PN}"
+
+       # Suppress crio log error messages triggered if these don't exist.
+       keepdir /etc/containers/oci/hooks.d
+       keepdir /usr/share/containers/oci/hooks.d
+
+       # Suppress crio "Missing CNI default network" log message.
+       keepdir /etc/cni/net.d
+       insinto /etc/cni/net.d
+       doins contrib/cni/99-loopback.conf
+
+       systemd_dounit contrib/systemd/*
+}

Reply via email to